using Foxcord.Rest;

namespace Foxcord;

/// <summary>
/// A Discord client combining WebSocket gateway and REST API clients.
/// </summary>
public class DiscordClient
{
    public DiscordRestClient Rest { get; private init; }

    public DiscordClient(DiscordClientOptions options)
    {
        Rest = new DiscordRestClient($"Bot {options.Token}", options.UserAgent, options.RestBaseUrl);
    }
}